Subject: Re: [bug#29445] [PATCH] gnu: Add roguebox-adventures.

From: Leo Famulari <[email-masked]>
Date: Mon, 27 Nov 2017 21:17:08 -0500

On Mon, Nov 27, 2017 at 07:12:54PM -0500, Kei Kebreau wrote:
> Leo Famulari <[email-masked]> writes:
> > On Sat, Nov 25, 2017 at 04:09:28PM -0500, Kei Kebreau wrote:
> >> +                   (copy-file "main.py"
> >> +                              (string-append bin "/roguebox-adventures"))
> >
> > And we could simplify a bit by using install-file instead of mkdir-p and
> > copy-file.
> 
> Is there a way to rename the file when using install-file? It's a bit
> weird to have to run "main.py" to launch the game.

Oh, I missed that we were renaming things here. No, install-file doesn't
let you rename the file, so mkdir-p and copy-file are the way to go.